> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get details of a single refund

GET https://api.feedamp.feedonomics.com/api/v2/orders/{order-id}/refunds/{refund-id}

Get the details for the specified refund adjustment on the specified order

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-api-v2/refunds/get-refund

## Authentication

- `token` header (required) — The Authentication token obtained from the get_token route.
- `x-api-key` header (required) — The SSO token obtained from the Feedonomics platform SSO token route.

## Request

### Path parameters

- `order-id` (string, required) — FeedAMP Order ID
- `refund-id` (string, required) — FeedAMP Refund ID

### Headers

- `client` (integer, required) — The ID of the client making the request

## Response

### 200

Refund details

- `id` (string, required) — Unique identifier for a record
- `cp_refund_number` (string, required) — Seller Refund ID. Must be unique for all posted refunds.
- `refund_lines` (list of RefundLine, required)

## Errors

### 401 Unauthorized Error

Error validating credentials or access to resources.

- `error` (string, required)

### 404 Not Found Error

Requested order or refund does not exist

- `any`

### 500 Internal Server Error

An unexpected server error occurred. Please contact Feedonomics Support if error persists.

- `error` (string, required)

### 503 Service Unavailable Error

Server is temporarily unable to handle the request

- `error` (string, required)

## Types

### RefundLine

An object representing a line in a refund

- `feedamp_order_line_id` (string, required) — Unique identifier for a record
- `refund_reason` (enum, required) — The reason for the refund. Please see Enum for accepted values. Use of 'other' is not recommended - some marketplaces may not accept it. If set to 'other', it is strongly recommended to enter a description in the 'refund_notes' field.
  - Allowed values: `customer_cancelled`, `customer_return`, `accidental_order`, `wrong_item_received`, `defective_item_received`, `damaged_item_received`, `item_never_received`, `item_received_late`, `wrong_quantity_received`, `could_not_ship`, `abandoned`, `price_error`, `out_of_stock`, `tax_error`, `shipping_cost_error`, `fraud`, `other`
- `refund_line_number` (string, optional) — The merchant's unique identifier for this refund item
- `refund_quantity` (integer, optional) — The quantity of items being fully refunded.
- `currency` (enum, optional) — ISO 4217 Currency codes
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `item_refund` (double, optional) — The amount of item principal to be refunded
- `item_tax_refund` (double, optional) — The amount of item tax to be refunded, if required by the marketplace
- `shipping_refund` (double, optional) — The amount of shipping to be refunded
- `shipping_tax_refund` (double, optional) — The amount of shipping tax to be refunded, if required by the marketplace
- `discount_refund` (double, optional) — The discount amount being refunded/undone.
- `refund_notes` (string, optional) — Additional information to convey to the marketplace or buyer

## Examples

**Response**

```json
{
  "id": "109872189273617283",
  "cp_refund_number": "REFUND-1234",
  "refund_lines": [
    {
      "feedamp_order_line_id": "109872189273617283",
      "refund_reason": "customer_cancelled",
      "refund_line_number": "XX-111-FF-1111",
      "refund_quantity": 1,
      "currency": "USD",
      "item_refund": 1.99,
      "item_tax_refund": 0.19,
      "shipping_refund": 2,
      "shipping_tax_refund": 0.2,
      "discount_refund": 1,
      "refund_notes": "Courtesy refund - thank you for your business"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283"

headers = {
    "client": "1",
    "token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283';
const options = {method: 'GET', headers: {client: '1', token: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283")
  .header("client", "1")
  .header("token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283', [
  'headers' => [
    'client' => '1',
    'token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```